Can't install via npm install -g @vapid/cli

Hello!
I’m having issues installing Vapid through the npm command on Mac. I tried both with and without sudo but I get error messages on both occasions. When I try npm install -g @vapid/cli this is the log I get:

I believe this is more about npm however right?

Thank you very much!

@marcotiberio Take a look at this thread—sounds like a similar issue: Install not working

Thanks for your suggestion @scott! After reading the article I was able to install it by removing -g.
However now the command vapid new path/to/project/folder doesn’t work. I tried to install a new .bash_profile and run /usr/local/bin/ | grep but it returns is a directory. I tried to update my npm prefixes but still can’t run the command.

Solved. After recreating a .bash_profile and .profile files all went into place!

1 Like

Hey guys,
If you are having install problems with rapid check your version of node. if its not the latest stable version than get it and it should do the trick.